GNU bug report logs - #55151
[PATCH] gnu: Add qbe.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jon Eskin <eskinjp@HIDDEN>; Keywords: patch; merged with #53833, #55150, #55605; dated Wed, 27 Apr 2022 14:32:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added indication that bug 55151 blocks55187,55606 Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53833 55150 55151 55605. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55151 <at> debbugs.gnu.org:


Received: (at 55151) by debbugs.gnu.org; 2 May 2022 06:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 02:33:29 2022
Received: from localhost ([127.0.0.1]:34682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlPcf-0003NI-D4
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 02:33:29 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:28005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>)
 id 1nlPcc-0003N0-Ok; Mon, 02 May 2022 02:33:28 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KsCw339zmz3wMF;
 Mon,  2 May 2022 08:33:23 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1651473203;
 bh=nti2YGMSpChhBB9+nQTyfge6t6MwQnFWgbELFUxFR1Q=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=jNQxn+Zn4U3Mht1qXPuD9C31GHYJZo2RYbqKe3F0fclpebogesr6SMfxqWKbErE1c
 pgMNiKpI7k8FnajUoNM7h4vnzfWF1GnQ2tvNQ6q6h+owLlOnwCVKHiMS5hvveamm4S
 upbueKQikJfNpW532T/dNMG1kOhN6rtOofmhrnio=
Message-ID: <23ff4ecaf07b3cec38d452d69785f1dd450581d7.camel@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Mon, 02 May 2022 08:33:22 +0200
In-Reply-To: <87h7694cma.fsf@HIDDEN>
References: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
 <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
 <87h7694cma.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55151
Cc: paren@HIDDEN, Jon Eskin <eskinjp@HIDDEN>, jgart@HIDDEN,
 55151 <at> debbugs.gnu.org, 53833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Ludo,

Am Sonntag, dem 01.05.2022 um 15:16 +0200 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:
> 
> > Am Montag, dem 25.04.2022 um 20:05 +0000 schrieb paren@HIDDEN:
> > 
> > > QBE is now being used in one reasonably mature project:
> > > https://harelang.org
> > > 
> > > While it's not at 1.0 yet, it's been in development for ~2 (i
> > > think) years now.
> > I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1. 
> > As it stands, every place I look at says "this is experimental"
> > rather than "you can use this and it ought to work as intended at
> > least for these sample programs".
> 
> But that’s fine: having a web page at all, or one that doesn’t read
> “experimental”, has never been a criterion for getting a package in
> Guix.
That's not my criterion either.  My critierion is more or less "Will we
have to revision-bump this package daily/every few days because people
want to play with the latest stuff?"  With upstream having seen no
commit for three weeks at this point, I guess it might be fine.

> There’s now a second patch for qbe:
> 
>   https://issues.guix.gnu.org/55151
> 
> I propose to go ahead and apply it, adding anything missing from
> paren’s initial patch.
IMHO, paren's initial patch is slightly better in quality than 55151,
but there are two (three) things lacking.  First, the synopsis and
description are subpar.  55151 has a slightly better synopsis, don't
feel too sure about the description though.  Second, the "fix-cc" phase
from 55151 should be added after unpack ("patch-test-script" sounds
like a better phase name).  It might be better to use (cc-for-target)
in the substitution rather than gcc, but note that this substitution
only applies for native compilation anyway.

cproc too seems to grow at a slower pace now.  Might be worth moving
stuff over from guixrus now.  Note that the cproc package has #:tests
#f without an explanation, though, so it needs some polishing.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#55151; Package guix-patches. Full text available.

Message received at 55151 <at> debbugs.gnu.org:


Received: (at 55151) by debbugs.gnu.org; 1 May 2022 13:16:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 09:16:23 2022
Received: from localhost ([127.0.0.1]:59872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nl9R1-0007sK-CQ
	for submit <at> debbugs.gnu.org; Sun, 01 May 2022 09:16:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1nl9Qz-0007s2-Ne; Sun, 01 May 2022 09:16:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nl9Qt-0005EL-19; Sun, 01 May 2022 09:16:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=xw5Hr4Zs+479KhxsntT7nvD1iOBI4u/6noTyafH40Pk=; b=rIz+H7hVP5Jum4F4Rdw+
 kP29xz7P9fq3r425ybIFfTWS+lFsFtAefiDq3UQuk1oLOPO7g5mE4SAA0o/teyN1ZT3w3/KeESTvT
 jkJ2BVQj0CXHeOfsib/cJi1gXiKNaDvU/dkRe3W9MN2Ubs1csJsIPRZ8S+pZviEGmfDsWHnKHQjlx
 9E/Ozh2rWf/QupU6QALrGr3XpFHoUG+EbZd+4Reqg3Gyh9XqKowOmMfpsKr07hDhvu9BIGvMDTFKQ
 uA0HuSdvAXEaTIOVcWdxeUz/JQnzqcwSR/gGhcnReUMjCXcAhZc+N6ShK2gULW9zf+NKnsZz+6yv/
 tH7PweKEFDqnEA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:51475
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nl9Qs-0007Ob-Ih; Sun, 01 May 2022 09:16:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
References: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
 <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 01 May 2022 15:16:13 +0200
In-Reply-To: <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Tue, 26 Apr 2022 09:43:34 +0200")
Message-ID: <87h7694cma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55151
Cc: paren@HIDDEN, 55151 <at> debbugs.gnu.org, 53833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

> Am Montag, dem 25.04.2022 um 20:05 +0000 schrieb paren@HIDDEN:
>> QBE is now being used in one reasonably mature project:
>> https://harelang.org
>>=20
>> While it's not at 1.0 yet, it's been in development for ~2 (i think)
>> years now.
> I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1.  As
> it stands, every place I look at says "this is experimental" rather
> than "you can use this and it ought to work as intended at least for
> these sample programs".

But that=E2=80=99s fine: having a web page at all, or one that doesn=E2=80=
=99t read
=E2=80=9Cexperimental=E2=80=9D, has never been a criterion for getting a pa=
ckage in
Guix.

There=E2=80=99s now a second patch for qbe:

  https://issues.guix.gnu.org/55151

I propose to go ahead and apply it, adding anything missing from paren=E2=
=80=99s
initial patch.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55151; Package guix-patches. Full text available.
Merged 55150 55151. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Apr 2022 14:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 10:31:15 2022
Received: from localhost ([127.0.0.1]:43876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njihG-0002p9-PH
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 10:31:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:41620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eskinjp@HIDDEN>) id 1njgOZ-0002yE-Da
 for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 08:03:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50988)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eskinjp@HIDDEN>) id 1njgOX-0001rg-Gi
 for guix-patches@HIDDEN; Wed, 27 Apr 2022 08:03:47 -0400
Received: from mail-qv1-xf34.google.com ([2607:f8b0:4864:20::f34]:36609)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eskinjp@HIDDEN>) id 1njgOV-0006vd-8Z
 for guix-patches@HIDDEN; Wed, 27 Apr 2022 08:03:44 -0400
Received: by mail-qv1-xf34.google.com with SMTP id q13so882266qvk.3
 for <guix-patches@HIDDEN>; Wed, 27 Apr 2022 05:03:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:mime-version:subject:message-id:date:to;
 bh=wAO5Rfsc9ZXVtXSBJYpZDn+qPPENpp0pkDKmCuL104g=;
 b=kG7gpCwmYKduFYixMGIaDGGczkicVHLcLeK23/q6voPEtLPeuDIJpBSplCUHopZGH/
 KbsuAvMiSTMegBA8wygURSkrIbk2H0i9qfUaddt95u2tFLJ3ExOaPAPuSJM7mCSb67AU
 fZAUyH4oWsV8KuSuA4qKe51SBjCQ9VFsbBtntUMubPjTyGug/1xDS1deIw/bg5JMqXy0
 VUGcsUYFBeJv/a5YIIZlYZwfea+k1iwBRehUi9o6mYdMM5+xIdWlJJZqXZSvF3LJ4bGC
 L1xs2xP4BIEonRJklHqmj6yEabPTAfa9p+grqNJJMXJPhjYXkEXJm8LpwIp+gODb6Oy/
 QASA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=wAO5Rfsc9ZXVtXSBJYpZDn+qPPENpp0pkDKmCuL104g=;
 b=T9OJsZNPS30R6dj75g9TSKOwiwHzNnyQT+7uV58TF5ZrvrOmmOHpmoZLS9bmZaaHac
 dYlRSKVYuPCMlYyP/fzhfl5RgboABFJaqcchJTwweGukRFH/3JHduahu3IL9isXXgxoz
 aY3sKGRLNSzca5Hc9C9+RIBR+DR/BLrowZU5fFYPQHg6I8cQCYu19sY6l9OXiPMuMQu1
 do92vhSoqwvMtrFVnHsK4BYlF2ACvB2IGMI2ugn10NSTo4p+5WoC99sygA9DObPjFiON
 H1s9djvfxPCqdwIo79u9AhmMtLleYhPh2wz6DSZRyC6nXXGDaLXRTsqQvp5gEnMD9fyV
 SZDw==
X-Gm-Message-State: AOAM532A0Bct36Qhq1RO9z+lSATFuJtpWbvjH6tEvkwCDaxYBdIULIpc
 1Y1Bc9l2SjZimmnE1K3T5fkGEd+bEaQ=
X-Google-Smtp-Source: ABdhPJwF155riBwYMxvzu5/uDbbcivm7Ua3JOotLoWnnTTFQCTMMXhXuZv7xCe35sBX7iOvJvjUj7Q==
X-Received: by 2002:ad4:4753:0:b0:456:34db:614b with SMTP id
 c19-20020ad44753000000b0045634db614bmr11154252qvx.17.1651061020736; 
 Wed, 27 Apr 2022 05:03:40 -0700 (PDT)
Received: from smtpclient.apple (pool-108-31-85-19.washdc.fios.verizon.net.
 [108.31.85.19]) by smtp.gmail.com with ESMTPSA id
 c21-20020ac87dd5000000b002f36347ddabsm7229237qte.77.2022.04.27.05.03.39
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Apr 2022 05:03:40 -0700 (PDT)
From: Jon Eskin <eskinjp@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_E10ACD98-612B-497D-A952-3D17D6B72C32"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: [PATCH] gnu: Add qbe.
Message-Id: <645F64B5-672D-48DB-B3CB-6B621E56AA49@HIDDEN>
Date: Wed, 27 Apr 2022 08:03:39 -0400
To: guix-patches@HIDDEN
X-Mailer: Apple Mail (2.3696.80.82.1.1)
Received-SPF: pass client-ip=2607:f8b0:4864:20::f34;
 envelope-from=eskinjp@HIDDEN; helo=mail-qv1-xf34.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 27 Apr 2022 10:31:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_E10ACD98-612B-497D-A952-3D17D6B72C32
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Hello,

I=E2=80=99ve packaged the qbe compiler backend. I=E2=80=99m new to GUIX, =
so let me know if I messed anything up!

I sent this about patch about a half hour ago and it shows as sent on my =
end but isn=E2=80=99t showing up on the archive=E2=80=A6 apologies if it =
comes through twice.

Jon=

--Apple-Mail=_E10ACD98-612B-497D-A952-3D17D6B72C32
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_CE6478C5-DFB8-4B7A-A84E-ACA52E5A6A21"


--Apple-Mail=_CE6478C5-DFB8-4B7A-A84E-ACA52E5A6A21
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><span=
 style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0);" =
class=3D"">Hello,</span><br style=3D"caret-color: rgb(0, 0, 0); color: =
rgb(0, 0, 0);" class=3D""><br style=3D"caret-color: rgb(0, 0, 0); color: =
rgb(0, 0, 0);" class=3D""><span style=3D"caret-color: rgb(0, 0, 0); =
color: rgb(0, 0, 0);" class=3D"">I=E2=80=99ve packaged the qbe compiler =
backend. I=E2=80=99m new to GUIX, so let me know if I messed anything =
up!</span><br style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0);" =
class=3D""><div class=3D""><span style=3D"caret-color: rgb(0, 0, 0); =
color: rgb(0, 0, 0);" class=3D""><br class=3D""></span></div><div =
class=3D""><font color=3D"#000000" class=3D"">I sent this about patch =
about a half hour ago and</font><span style=3D"color: rgb(0, 0, 0);" =
class=3D"">&nbsp;it shows as sent on my end but isn=E2=80=99t showing up =
on the archive=E2=80=A6 apologies if it comes through =
twice.</span></div><div class=3D""><br class=3D""></div><div =
class=3D""><font color=3D"#000000" =
class=3D"">Jon</font></div></body></html>=

--Apple-Mail=_CE6478C5-DFB8-4B7A-A84E-ACA52E5A6A21
Content-Disposition: attachment;
	filename=0001-gnu-Add-qbe.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-gnu-Add-qbe.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20c81d8d7489f157611f56fdd44d0fc05553e95f7f=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20Jon=20Eskin=20<eskinjp@HIDDEN>=0ADate:=20=
Wed,=2027=20Apr=202022=2005:48:54=20-0400=0ASubject:=20[PATCH]=20gnu:=20=
Add=20qbe.=0A=0A---=0A=20gnu/local.mk=20=20=20=20=20=20=20=20=20|=20=202=20=
++=0A=20gnu/packages/qbe.scm=20|=2056=20=
++++++++++++++++++++++++++++++++++++++++++++=0A=202=20files=20changed,=20=
58=20insertions(+)=0A=20create=20mode=20100644=20gnu/packages/qbe.scm=0A=0A=
diff=20--git=20a/gnu/local.mk=20b/gnu/local.mk=0Aindex=20=
9bad87710c..1c4a418a33=20100644=0A---=20a/gnu/local.mk=0A+++=20=
b/gnu/local.mk=0A@@=20-50,6=20+50,7=20@@=0A=20#=20Copyright=20=C2=A9=20=
2022=20Daniel=20Mei=C3=9Fner=20<daniel.meissner-i4k@HIDDEN>=0A=
=20#=20Copyright=20=C2=A9=202022=20Remco=20van=20't=20Veer=20=
<remco@HIDDEN>=0A=20#=20Copyright=20=C2=A9=202022=20Artyom=20V.=20=
Poptsov=20<poptsov.artyom@HIDDEN>=0A+#=20Copyright=20=C2=A9=202022=20=
Jon=20Eskin=20<eskinjp@HIDDEN>=0A=20#=0A=20#=20This=20file=20is=20=
part=20of=20GNU=20Guix.=0A=20#=0A@@=20-503,6=20+504,7=20@@=20=
GNU_SYSTEM_MODULES=20=3D=09=09=09=09\=0A=20=20=20=
%D%/packages/python-xyz.scm=09=09=09\=0A=20=20=20%D%/packages/toys.scm=09=
=09=09=09\=0A=20=20=20%D%/packages/tryton.scm=09=09=09\=0A+=20=20=
%D%/packages/qbe.scm=09=09=09=09\=0A=20=20=20%D%/packages/qt.scm=09=09=09=
=09\=0A=20=20=20%D%/packages/racket.scm=09=09=09\=0A=20=20=20=
%D%/packages/radio.scm=09=09=09\=0Adiff=20--git=20a/gnu/packages/qbe.scm=20=
b/gnu/packages/qbe.scm=0Anew=20file=20mode=20100644=0Aindex=20=
0000000000..426566666c=0A---=20/dev/null=0A+++=20b/gnu/packages/qbe.scm=0A=
@@=20-0,0=20+1,56=20@@=0A+;;;=20GNU=20Guix=20---=20Functional=20package=20=
management=20for=20GNU=0A+;;;=20Copyright=20=C2=A9=202022=20Jon=20Eskin=20=
<eskinjp@HIDDEN>=0A+;;;=0A+;;;=20This=20file=20is=20part=20of=20GNU=20=
Guix.=0A+;;;=0A+;;;=20GNU=20Guix=20is=20free=20software;=20you=20can=20=
redistribute=20it=20and/or=20modify=20it=0A+;;;=20under=20the=20terms=20=
of=20the=20GNU=20General=20Public=20License=20as=20published=20by=0A+;;;=20=
the=20Free=20Software=20Foundation;=20either=20version=203=20of=20the=20=
License,=20or=20(at=0A+;;;=20your=20option)=20any=20later=20version.=0A=
+;;;=0A+;;;=20GNU=20Guix=20is=20distributed=20in=20the=20hope=20that=20=
it=20will=20be=20useful,=20but=0A+;;;=20WITHOUT=20ANY=20WARRANTY;=20=
without=20even=20the=20implied=20warranty=20of=0A+;;;=20MERCHANTABILITY=20=
or=20FITNESS=20FOR=20A=20PARTICULAR=20PURPOSE.=20=20See=20the=0A+;;;=20=
GNU=20General=20Public=20License=20for=20more=20details.=0A+;;;=0A+;;;=20=
You=20should=20have=20received=20a=20copy=20of=20the=20GNU=20General=20=
Public=20License=0A+;;;=20along=20with=20GNU=20Guix.=20=20If=20not,=20=
see=20<http://www.gnu.org/licenses/>.=0A+=0A+(define-module=20(gnu=20=
packages=20qbe)=0A+=20=20#:use-module=20(guix=20packages)=0A+=20=20=
#:use-module=20(guix=20build-system=20gnu)=0A+=20=20#:use-module=20(guix=20=
git-download)=0A+=20=20#:use-module=20(guix=20licenses))=0A+=0A=
+(define-public=20qbe=0A+=20=20(package=0A+=20=20=20=20(name=20"qbe")=0A=
+=20=20=20=20(version=20"2022.04.11")=0A+=20=20=20=20(source=20(origin=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(method=20git-fetch)=0A+=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20(uri=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20(git-reference=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20(url=20"git://c9x.me/qbe.git")=0A+=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20(commit=20"2caa26e388b1c904d2f12fb09f84df7e761d8331")))=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(file-name=20(git-file-name=20=
name=20version))=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(sha256=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(base32=0A+=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=
"1gv03ym0gqrl4wkbhysa82025xwrkr1fg44z814b6vnggwlqgljc"))))=0A+=20=20=20=20=
(build-system=20gnu-build-system)=0A+=20=20=20=20(arguments=0A+=20=20=20=20=
=20'(#:make-flags=20(list=20(string-append=20"PREFIX=3D"=20(assoc-ref=20=
%outputs=20"out"))=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20"CC=3Dgcc")=0A+=20=20=20=20=20=20=20#:phases=20=
(modify-phases=20%standard-phases=0A+=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20(delete=20'configure)=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20(add-before=20'check=20'fix-cc=0A+=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(lambda*=20(#:key=20inputs=20=
outputs=20#:allow-other-keys)=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20;;=20fix=20test=20script=20overriding=20=
environment=20variable=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20(substitute*=20"tools/test.sh"=0A+=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(("cc=3D\"cc=20=
-no-pie\"")=20"cc=3D\"gcc=20-no-pie\""))=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20#t)))))=0A+=20=20=20=20(synopsis=20=
"Lightweight=20compiler=20backend")=0A+=20=20=20=20(description=0A+=20=20=
=20=20=20"QBE=20aims=20to=20be=20a=20pure=20C=20embeddable=20backend=20=
that=20provides=2070%=20of=20the=0A+performance=20of=20advanced=20=
compilers=20in=2010%=20of=20the=20code.")=0A+=20=20=20=20(home-page=20=
"https://c9x.me/compile/")=0A+=20=20=20=20(license=20expat)))=0A--=20=0A=
2.32.0=20(Apple=20Git-132)=0A=0A=

--Apple-Mail=_CE6478C5-DFB8-4B7A-A84E-ACA52E5A6A21
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv="Content-Type" content="text/html; charset=us-ascii"></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; line-break: after-white-space;" class=""><div class=""></div></body></html>
--Apple-Mail=_CE6478C5-DFB8-4B7A-A84E-ACA52E5A6A21--

--Apple-Mail=_E10ACD98-612B-497D-A952-3D17D6B72C32--




Acknowledgement sent to Jon Eskin <eskinjp@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55151; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2022 06:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.